Bug 1267233 - (sebastian/resource-operations) Review Request: php-sebastian-resource-operations - Provides a list of PHP built-in functions that operate on resources
Review Request: php-sebastian-resource-operations - Provides a list of PHP bu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 08:17 EDT by Remi Collet
Modified: 2015-10-31 22:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (1.77 KB, text/plain)
2015-10-11 01:53 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (1.15 KB, text/plain)
2015-10-11 01:53 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.10 KB, text/plain)
2015-10-11 01:54 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-09-29 08:17:35 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/caad3c5b0a97f02150216675599e68dbb81b8f24/php/phpunit/php-sebastian-resource-operations/php-sebastian-resource-operations.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-sebastian-resource-operations-1.0.0-0.1.20150728gitce990bb.remi.src.rpm
Description: 
Provides a list of PHP built-in functions that operate on resources

Fedora Account System Username: remi

--

New dependency of PHPUnit 5
Comment 2 Upstream Release Monitoring 2015-10-06 10:16:51 EDT
remi's scratch build of php-sebastian-resource-operations-1.0.0-1.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11350268
Comment 3 Shawn Iwinski 2015-10-11 01:53 EDT
Created attachment 1081762 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 4 Shawn Iwinski 2015-10-11 01:53 EDT
Created attachment 1081763 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 5 Shawn Iwinski 2015-10-11 01:54 EDT
Created attachment 1081764 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1267233
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Shawn Iwinski 2015-10-11 01:55:26 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====
Comment 7 Remi Collet 2015-10-11 02:13:43 EDT
Thanks for the review.
SCM request open on pkgdb.
Comment 8 Fedora Update System 2015-10-12 02:26:48 EDT
php-sebastian-resource-operations-1.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15985bd732
Comment 9 Fedora Update System 2015-10-12 02:26:54 EDT
php-sebastian-resource-operations-1.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3cee5cb4e2
Comment 10 Fedora Update System 2015-10-12 19:51:24 EDT
php-sebastian-resource-operations-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-sebastian-resource-operations'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15985bd732
Comment 11 Fedora Update System 2015-10-13 14:21:04 EDT
php-sebastian-resource-operations-1.0.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-sebastian-resource-operations'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d4f8c22af
Comment 12 Fedora Update System 2015-10-13 14:21:30 EDT
php-sebastian-resource-operations-1.0.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-sebastian-resource-operations'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3cee5cb4e2
Comment 13 Fedora Update System 2015-10-23 12:19:18 EDT
php-sebastian-resource-operations-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-23 13:22:52 EDT
php-sebastian-resource-operations-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-31 22:41:11 EDT
php-sebastian-resource-operations-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.